/***************************************************************************
                          CdboCdrdaoAction.h  -  description
                             -------------------
    begin                : Fri Aug 23 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.
	
 ***************************************************************************/

#ifndef CDBOCDRDAOACTION_H
#define CDBOCDRDAOACTION_H

#include "CdboAction.h"

class KProcess;

class CdboCdrdaoAction : public CdboAction{
	Q_OBJECT

public:
	CdboCdrdaoAction(QObject *, const char *);
	~CdboCdrdaoAction();
	
	virtual bool filterOutput(int &type, QString &message);

protected slots:
	void updateCounter();
	
protected:
	virtual void initProcess(KProcess *proc, CdboParamsDict* params);
	virtual void processLaunched();
	virtual void processFailedToLaunch();
	virtual void processSucceded();
	virtual void processFailed();

	virtual void resetSettings();
	
	QString actionType;

private:
	void addCustomOpt(KProcess *proc);
	void addAudioOpt(KProcess *proc);

	QString mode;
	QString lastMess;
	QString totalTime;
	QString tocToDelete;
	
	bool firstTrack;
	bool sameDevice;
	bool askedToIncert;
	bool triedToCloseTray;
	int incertRequests;
	int instanceCount;
	int secCount;
	float oneReadPecent;
	float readPercent;

};
#endif
