/***************************************************************************
                          CdboCdrecordAction.h  -  description
                             -------------------
    begin                : Wed Aug 14 2002
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/
#ifndef CDBOCDRECORDACTION_H
#define CDBOCDRECORDACTION_H

#include <qobject.h>

#include "CdboAction.h"

class KProcess;
class CdboMkisofsAction;

class CdboCdrecordAction : public CdboAction{
	Q_OBJECT
	
public:
	CdboCdrecordAction(QObject *, const char *);
	~CdboCdrecordAction();
	
	virtual bool filterOutput(int &type, QString &message);

protected:
	virtual void initProcess(KProcess *proc, CdboParamsDict* params);
	virtual void processLaunched();
	virtual void processFailedToLaunch();
	virtual void processSucceded();
	virtual void processFailed();
	
	virtual void resetSettings();
	
	QString actionType;

private:
	void addCustomOpt(KProcess *proc);
	
	bool leaveUnfixated;
	int sessionType;
	
	bool shownPerInfo;
	int tracksDone;
	int secCount;
	int instanceCount;
	int imageSize;
};
//////////// ^on-the-fly^ ///////////////////
class CdboCreateDataOTFAction : public CdboCdrecordAction{
	Q_OBJECT

public:
	CdboCreateDataOTFAction(QObject *, const char *);
	~CdboCreateDataOTFAction();

	virtual bool filterOutput(int &type, QString &message);
	
protected:
	virtual void initProcess(KProcess *proc, CdboParamsDict* params);
	virtual void processLaunched();
	virtual void processFailedToLaunch();
	virtual void processSucceded();
	virtual void processFailed();

private:
	CdboMkisofsAction *mkisoAction;
};

#endif
