/***************************************************************************
                          CdboRipAction.h  -  description
                             -------------------
    begin                : Sat Aug 17 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/


#ifndef CDBORIPACTION_H
#define CDBORIPACTION_H

#include "CdboAction.h"

class CdboRipAction : public CdboJobBasedAction{
	Q_OBJECT

public:
	CdboRipAction(QObject *, const char *);
	~CdboRipAction();
	
protected slots:
	void rippResult( KIO::Job *);
    	void rippPercent( KIO::Job *,unsigned long);
    	void rippProcessedFiles( KIO::Job *,unsigned long);
    	void rippCanceled( KIO::Job *);
    	void rippMessage( KIO::Job *,const QString &);
	void rippedFile ( KIO::Job *, const KURL &from, const KURL &to, bool, bool renamed );
	
protected:
	/*
	param ACTION_TYPE
	param SOURCE_DEVICE
	param PICKED_TRACKS
	param TMP_DIRECTORY
	
	*/
	virtual void launchJob(CdboParamsDict* params);
	virtual void processFailedToLaunch();
	virtual void processSucceded();
	virtual void resetSettings();
	virtual QString cancelMessage();

private:
	int totalToProcess;
	int processesDone;

};
#endif
