/***************************************************************************
                          CdboAudioCDDialog.h  -  description
                             -------------------
    begin                : Fri Apr 5 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

 /***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/


#ifndef CDBOAUDIOCDDIALOG_H
#define CDBOAUDIOCDDIALOG_H


#include "CdboAudioCDBase.h"

#include "CdboDriveInfoPnl.h"
#include "CdboSpeedPnl.h"
#include "CdboDialogCntPnl.h"

class KProcess;

class CdboAudioCDDialog : public CdboAudioCDBase, public virtual DCOPObject{
 Q_OBJECT

public:
	CdboAudioCDDialog(QWidget *parent=0, const char *name=0);
	CdboAudioCDDialog(QStringList *flist, QWidget *parent, const char *name) ;
	~CdboAudioCDDialog();
	
	void setTrackList(QString tracksList, QString delim = ",");
	void setTocFile(const QString &tocFile);

public slots:
	virtual void readOptions();
	virtual void blockBtns(bool);

protected slots:
	virtual void saveOptions();
	virtual void taskDone(bool);
	void eraseSlot();
	void startBtnSlot();
	void launchTrackEditor();
	void prepareTocCopy();
	void verifyMode(int);
	void restructureCreateOptions();
	
protected:
	virtual void init();
	virtual void initBtns();
	virtual QString* actionType();
	virtual void stopForwardTimer(){ dialogCntPnl->stopForwardTimer();}
	virtual void startForwardTimer(){ dialogCntPnl->startForwardTimer();}
	virtual void clearOutput() { dialogCntPnl->clearOutput(); }
	virtual QWidget* outputWidget() { return dialogCntPnl->outputWidget(); }
	virtual QWidget* statusWidget() { return dialogCntPnl; }
	void updateTitles();
	
private:
	void blockActionBtns(bool);
	void cleanupTmpToc();
	
	bool newToc;
	bool haveToc;
	
	QString fileList;
	QString tocName;
	QString multiStep;
	QString tempDir;
	QString minTmpSize;
	QString numberOfCopies;
	
	QString lastTitle;
	QString lastArtist;

};
#endif
