/***************************************************************************
                          CdboDataCDBase.h  -  description
                             -------------------
    begin                : Sun May 13 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBODATACDBASE_H
#define CDBODATACDBASE_H


#include <ksqueezedtextlabel.h>

#include "CdboDialogBase.h"

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class CdboDialogCntPnl;
class CdboDriveInfoPnl;
class QCheckBox;
class QComboBox;
class QFrame;
class QGroupBox;
class QLabel;
class QPushButton;
class QSpinBox;
class KSqueezedTextLabel;
class CdboSpeedPnl;
class CdboSqueezedLabel;

class CdboDataCDBase : public CdboDialogBase
{ 
	Q_OBJECT

public:
	CdboDataCDBase( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~CdboDataCDBase();


protected:
	QFrame* baseFrm;
	CdboDriveInfoPnl* targetDevicePnl;
	CdboSpeedPnl* speedPnl;
	CdboDialogCntPnl* dialogCntPnl;
	QFrame* detailsPnl;
	QGroupBox* recordDetailesPnl;
	QHBoxLayout* recordDetailesPnlLayout;
	QSpinBox* numberSpn;
	QLabel* numOfCopiesLbl;
	QComboBox* actionCmb;
	QGroupBox* imagePnl;
	QGridLayout* imagePnlLayout;
	CdboSqueezedLabel* imageLbl;
	QPushButton* imageBrowseBtn;
	QPushButton* isoPreviewBtn;
	QCheckBox* removeIsoChk;

	QGridLayout* cdboDataCDBaseLayout;
	QVBoxLayout* baseFrmLayout;
	QVBoxLayout* detailsPnlLayout;
};

class CdboSqueezedLabel : public KSqueezedTextLabel {
	Q_OBJECT
public:
	CdboSqueezedLabel( QWidget *parent, const char *name = 0 );
	void setTooltip(const QString &newTooltip);
	
protected:
	void resizeEvent( QResizeEvent * );
	QString prevTooltip;
};

#endif
