/***************************************************************************
                          CdboAudioOpt.h  -  description
                             -------------------
    begin                : Sat May 5 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/
#ifndef CDBOAUDIOOPT_H
#define CDBOAUDIOOPT_H

#include <qvariant.h>
#include <qwidget.h>
#include <qtabwidget.h>

#include <kconfig.h>

#include "CdboAudioOptBase.h"

class CdboAudioOpt : public CdboAudioOptBase{
    Q_OBJECT

public:
    CdboAudioOpt( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~CdboAudioOpt();

	void load();

	void save();
	void defaults();

	int buttons();
	QString quickHelp() const;
	const KAboutData* aboutData() const;
	
protected slots:
     virtual void slotChanged();


private:
	
	//////////////////////////
	KConfig *config;
};

#endif // CDBOAUDIOOPT_H
