/***************************************************************************
                          CdboMainView.h  -  description
                             -------------------
    begin                : Sat Oct 19 2002
    copyright            : (C) 2002 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/  

#ifndef CDBOMAINVIEW_H
#define CDBOMAINVIEW_H

#include <qsplitter.h>
#include <qptrlist.h>
#include <kparts/part.h>
#include <khtml_part.h>

class QTabWidget;
class QWidgetStack;
class KConfig;
class CdboShell;
class CdboSrcVeiwPart;
class CdboHTMLPart;

class CdboMainView : public QSplitter{
	Q_OBJECT
public:
	CdboMainView(CdboShell *parent = 0, const char *name=0);
	~CdboMainView();

	void saveOptions();
	void readOptions();
	
	QWidget* partsHolder();
	QWidget* topHolder();
	void addPart(KParts::Part* newPart);
	void setActive(KParts::Part* newPart) { active = newPart;}
	KParts::Part* topPart();
	void setTop(KParts::Part* topPart);
    void updateSettings();
	bool queryClose(QStringList &lastUrls);
	bool slotCloseView(QString &lastUrl);
	void reloadButtomMessage(const QStringList &types, const QStringList &infos);

public slots:
	void initView();
	bool slotCloseView();
	bool queryClose();
	void activeChanged( KParts::Part * );
	void updateTab(KParts::Part* newPart);
	void updateCaption(KParts::Part *newPart);

protected slots:
	void loadButtomMessage();
	void currentVisibleChanged(QWidget *);
	
protected:
	void addWidget(KParts::Part* newPart);
	void addWidgetToTabButtom(KParts::Part* newPart);

private:
	KParts::Part* active;
	QPtrList<KParts::Part> parts;

	QTabWidget* tabButtomViewHolder;
	CdboHTMLPart* infoBrws;
	QWidgetStack* stackButtomViewHolder;
	QWidgetStack* topViewHolder;
	KConfig *config;
	
	//CdboSrcVeiwPart *top;
	KParts::Part *top;
	//QFrame* dummyTop;
	int untitledCount;
};


//for now I'll keep this here

class CdboHTMLPart : public KHTMLPart{
	Q_OBJECT
public:
	CdboHTMLPart (QWidget *parentWidget = 0, const char *widgetname = 0, QObject *parent = 0, 
				const char *name = 0, GUIProfile prof = DefaultGUI);
	~CdboHTMLPart();

signals:
	void execRequested(const QString &);

protected:
	virtual void urlSelected( const QString &url, int button, int state, const QString &target, KParts::URLArgs args = KParts::URLArgs() );

};


#endif // CDBOMAINVIEW_H
