/***************************************************************************
                          CdboDialogCntPnl.h  -  description
                             -------------------
    begin                : Thu May 31 2001
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBODIALOGCNTPNL_H
#define CDBODIALOGCNTPNL_H

#include <kpushbutton.h>

#include "CdboComOutListView.h"
#include "CdboConstants.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QFrame;
class QGroupBox;
class QTime;
class QLabel;

class CdboDialogCntPnl : public QWidget{
    Q_OBJECT

public:	
	CdboDialogCntPnl( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~CdboDialogCntPnl();

	//very important method! must call before each process
	void clearOutput();
	void output(int type, QString message);
	
	void stopForwardTimer();
	void startForwardTimer();
	
	inline void setStartBtnTitle(QString title) { startBtn->setText( title ); }

	QWidget* outputWidget() { return outputView; }
	inline QPushButton* getStartBtn() { return startBtn; }
	inline QPushButton* getCancelBtn() { return cancelBtn; }
	inline QPushButton* getSettingsBtn() { return settingsBtn; }
	inline QPushButton* getQuitBtn() { return quitBtn; }

public slots:
	void status(QString msg);
	void outputDirty();
	
protected slots:
	virtual void timerEvent(QTimerEvent *event);
	void helpSlot();

private:
	int eTimeId;
	QTime timer;
	int staTimeId;
	int dotCount;
	
	CdboComOutListView* outputView;
	QLabel* statusLbl;
	QLabel* eTimeLbl;

	KPushButton* startBtn;
	KPushButton* cancelBtn;
	KPushButton* settingsBtn;
	KPushButton* dumpBtn;
	KPushButton* helpBtn;
	KPushButton* quitBtn;
	QLabel* elapsedTimeLbl;
	QFrame* statusPanel;
	QGroupBox* mainPnl;
	QFrame* controlPanel;
	QGridLayout *mainFrmLayout;
	QVBoxLayout* mainPnlLayout;
	QHBoxLayout* statusPanelLayout;
	QVBoxLayout* controlPanelLayout;
};

#endif
